package copy_mission

import (
	"net/http"

	"haixun-backend/internal/logic/copy_mission"
	"haixun-backend/internal/response"
	"haixun-backend/internal/svc"
	"haixun-backend/internal/types"

	"github.com/zeromicro/go-zero/rest/httpx"
)

func StartCopyMissionCopyDraftJobHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.StartCopyMissionCopyDraftJobHandlerReq
		if err := httpx.Parse(r, &req); err != nil {
			response.Write(r.Context(), w, nil, response.WrapRequestError(err))
			return
		}
		if err := svcCtx.Validator.ValidateAll(&req); err != nil {
			response.Write(r.Context(), w, nil, response.WrapRequestError(err))
			return
		}

		l := copy_mission.NewStartCopyMissionCopyDraftJobLogic(r.Context(), svcCtx)
		data, err := l.StartCopyMissionCopyDraftJob(&req)
		response.Write(r.Context(), w, data, err)
	}
}
